package cn.com.qmth.stmms.biz.exam.service;


import java.util.List;

import cn.com.qmth.stmms.biz.exam.model.ExamSubjectPaper;
import cn.com.qmth.stmms.biz.exam.model.ExamSubjectPaperDTO;
import cn.com.qmth.stmms.biz.exam.service.query.ExamSubjectPaperSearchQuery;

public interface ExamSubjectPaperService {


	ExamSubjectPaperSearchQuery findByQuery(ExamSubjectPaperSearchQuery query);
	
	ExamSubjectPaper save(ExamSubjectPaper examSubjectPaper);
	
	void deleteById(Integer id);
	
	List<ExamSubjectPaperDTO> getExamSubjectPaper(Integer id);
	
	ExamSubjectPaper getExamSubjectPaperById(Integer id);
	
	String getMainNumbersByExamIdAndCode(int examId,String subjectCode);

}
