package cn.com.qmth.stmms.biz.exam.dao;


import java.util.List;

import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.data.jpa.repository.Query;
import org.springframework.data.repository.PagingAndSortingRepository;

import cn.com.qmth.stmms.biz.exam.model.ExamSubjectPaper;

public interface ExamSubjectPaperDao extends PagingAndSortingRepository<ExamSubjectPaper, Integer>,
        JpaSpecificationExecutor<ExamSubjectPaper> {
	
	@Query(value = "select GROUP_CONCAT(b.main_number SEPARATOR ',') mainNumber from ( select p.main_number from eb_exam_subject_paper p where 1=1"
			+ " and p.exam_id = ?1 and p.`code` = ?2 GROUP BY p.main_number) b",nativeQuery=true)
	public List<String> getMainNumbersByExamIdAndCode(int examId,String subjectCode);
}
